Skip to main content
GET
Information

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

ticker
string
required

A single ticker

Example:

"AAPL"

Response

General information about the given ticker.

announce_time
enum<string>

The time when the earnings will be released.

Available options:
unknown,
afterhours,
premarket
Example:

"premarket"

avg30_volume
string

The avg stock volume for the stock last 30 days.

Example:

"55973002"

beta
string

The beta coefficient measuring the stock's volatility relative to the overall market (typically S&P 500). A beta of 1 indicates the stock moves with the market, greater than 1 indicates higher volatility, and less than 1 indicates lower volatility.

Example:

"1.25"

full_name
string

Full name of the ticker.

Example:

"APPLE"

has_dividend
boolean

Boolean flag whether the company pays dividends.

Example:

true

has_earnings_history
boolean

Boolean flag whether historic earnings data is present.

Example:

true

has_investment_arm
boolean

Boolean flag whether the given stock is holding stocks of other companies.

Example:

true

has_options
boolean

Boolean flag whether the company has options.

Example:

true

issue_type
enum<string>

The issue type of the ticker.

Available options:
Common Stock,
ETF,
Index,
ADR
Example:

"Common Stock"

A link to a logo

marketcap
string

The marketcap of the underlying ticker. If the issue type of the ticker is ETF then the marketcap represents the AUM.

Example:

"2965813810400"

next_earnings_date
string<date>

The next earnings date of the ticker. Null if either unknown as of now or if the ticker does not have any earnings such as an ETF

Example:

"2023-10-26T00:00:00.000Z"

sector
enum<string>

The financial sector of the ticker. Empty if unknown or not applicable such as ETF/Index.

Available options:
Basic Materials,
Communication Services,
Consumer Cyclical,
Consumer Defensive,
Energy,
Financial Services,
Healthcare,
Industrials,
Real Estate,
Technology,
Utilities
Example:

"Technology"

short_description
string

Short description about what the stock does.

Example:

"Apple Inc. is an American multinational technology company headquartered in Cupertino, California. Apple is the worlds largest technology company by ..."

Last modified on September 29, 2026